CGAL 6.2 - Triangulated Surface Mesh Simplification: CGAL::Surface_mesh_simplification::Polyhedral_envelope_filter< GeomTraits, Filter > Class Template Reference

CGAL 6.2 - Triangulated Surface Mesh Simplification

Loading...
Searching...
No Matches
List of all members | Public Types
CGAL::Surface_mesh_simplification::Polyhedral_envelope_filter< GeomTraits, Filter > Class Template Reference
Reference Manual

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Polyhedral_envelope_filter.h>`

## Definition

template<typename GeomTraits, typename Filter>
class CGAL::Surface_mesh_simplification::Polyhedral_envelope_filter< GeomTraits, Filter >

The class `Polyhedral_envelope_filter` is a model for the `PlacementFilter` concept.

It rejects the placement if the nested filter rejects it, or if any triangle in the profile is not inside the polyhedral envelope, in this order.

Template Parameters

  Filter | must be a model of the concept `PlacementFilter`. It defaults to a class that does not filter any placement.

Is model of
  `PlacementFilter`

See also
  `Polyhedral_envelope`

## Public Types
typedef Geom_traits::FT | FT
| The number type.

## Creation
| Polyhedral_envelope_filter ()
| Default constructor
| Polyhedral_envelope_filter (const FT &dist, const Filter &filter)
| Constructor.

## Operations
std::optional< typename Edge_profile::Point > | operator() (const Edge_profile &profile, std::optional< typename Profile::Point > op) const
| returns the placement, if it does not get filtered by the wrapped filter, and if all triangles in the profile are inside the polyhedral envelope.

## Constructor & Destructor Documentation

## ◆ Polyhedral_envelope_filter()

template<typename GeomTraits , typename Filter >

CGAL::Surface_mesh_simplification::Polyhedral_envelope_filter< GeomTraits, Filter >::Polyhedral_envelope_filter | ( | const FT & | dist,
|  | const Filter & | filter
| ) |  |

Constructor.

Parameters

  dist | is the parameter given to the polyhedral envelope
  filter | is the filter that will be filtered.